### Constructor

# Qrtr Client new

since: 1.0

#### Declaration [src]

    QrtrClient*
    qrtr_client_new (
      QrtrNode* node,
      guint32 port,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates a new `QrtrClient` to communicate with `port` at `QrtrNode`.

Available since: 1.0

#### Parameters

`node`

  Type: `QrtrNode`

  A `QrtrNode`.

  The data is owned by the caller of the function.

`port`

  Type: `guint32`

  A node port.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `QrtrClient`

A newly allocated `QrtrClient`, or `NULL` if `error` is set.

The caller of the function takes ownership of the data, and is responsible for freeing it.